Skip to navigation

Get ReviewProcess by ID

Beta
Get a single ReviewProcess by ID.

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

review_process_idstringRequired
ID of the ReviewProcess.

Headers

EARLY-ACCESSstringOptional

Set to true to access beta operations via /api/v3.

Query parameters

returningstringOptional

Comma-separated list of top-level fields to include in each returned item. Cannot overlap with omit.

omitstringOptional

Comma-separated list of top-level fields to omit from each returned item. Cannot overlap with returning.

Response

OK
__typenamestringOptional
archiveReasonstring or nullOptional
Reason the review process was archived
archivedbooleanOptional
Whether the review process is archived
createdAtstringOptional
Timestamp when this review process was created
currentVersionobject or nullOptional
Current version of this review process
idstringOptional
ID of the review process
modifiedAtstringOptional
Timestamp when this review process was last modified
namestring or nullOptional
Title of the review process
organizationobject or nullOptional
The organization that owns this review process
projectsstringOptionalformat: "uri"
All projects that point to this review process

Errors

400
Review Process Get Request Bad Request Error
403
Review Process Get Request Forbidden Error
404
Review Process Get Request Not Found Error
429
Review Process Get Request Too Many Requests Error
500
Review Process Get Request Internal Server Error